.timeline {
  font-size: 14px;
  display: flex;
  flex-direction: column;
  width: 100%;
}
.timeline_event {
  background: #fff;
  margin-bottom: 20px;
  position: relative;
  display: flex;
  margin: 15px 0;
  border-radius: 8px;
  box-shadow: 0 30px 60px -12px rgba(50, 50, 93, 0.25), 0 18px 36px -18px rgba(0, 0, 0, 0.3), 0 -12px 36px -8px rgba(0, 0, 0, 0.025);
}
.timeline_event_content {
  width: 100%;
  padding: 5px;
}
.timeline_event_step {
  color: #f6a4ec;
  font-size: 2rem;
  font-weight: 600;
  white-space: nowrap;
}
.timeline_event_title {
  font-size: 1.2rem;
  line-height: 1.4;
  text-transform: uppercase;
  font-weight: 600;
  color: #9251ac;
  letter-spacing: 1.5px;
}
.timeline_event_description {
  flex-basis: 60%;
}
.timeline_event_description p {
  font-size: large;
  margin-block-start: 0.5em;
  margin-block-end: 0.5em;
}
.timeline_event_detail {
  flex-basis: 8%;
}
.timeline_event_detail img {
  margin-top: 40%;
  max-width: 40px;
}
.timeline_event_detail svg {
    color: #de0078;
    font-size: 5rem;
    margin-top: 10%;
    max-width: 40px;
}
.timeline_event-stoped .timeline_event_step {
  color: #FF0080;
}
.timeline_event-stoped .timeline_event_icon {
  background: #FFC4E8;
  color: white;
}
.timeline_event-stoped .timeline_event_title {
  color: #de0078;
}
.timeline_event-started .timeline_event_step {
  color: white;
}
.timeline_event-started .timeline_event_icon {
  background: #de0078;
  color: #fff;
}
.timeline_event-started .timeline_event_title {
    color: #de0078;
}
.timeline_event-completed .timeline_event_step {
  color: #fff;
}
.timeline_event-completed .timeline_event_icon {
    background: #de0078;
    color: #fff;
}
.timeline_event-completed .timeline_event_title {
    color: #de0078;
}
.timeline_event:last-child:after {
  content: none;
}
.timeline_detail {
  background: #fff;
  margin-bottom: 20px;
  position: relative;
  display: block;
  border-radius: 8px;
  box-shadow: 0 30px 60px -12px rgba(50, 50, 93, 0.25), 0 18px 36px -18px rgba(0, 0, 0, 0.3), 0 -12px 36px -8px rgba(0, 0, 0, 0.025);
}
.timeline_detail:before {
  content: "";
  width: 2px;
  height: 100%;
  position: absolute;
  background: #de0078;
  top: 0%;
  left: -3.5rem;
}
.timeline_detail:after {
  content: "";
  width: 2px;
  height: 100%;
  position: absolute;
  background: #de0078;
  top: 80%;
  left: -3.5rem;
}
.timeline_detail_content {
  padding: 10px;
}
.timeline_detail-stoped:before {
  background: #960050;
}
.timeline_detail-stoped:after {
  background: #960050;
}
.timeline_detail-started:before {
  background: #de0078;
}
.timeline_detail-started:after {
  background: #de0078;
}
.timeline_detail-completed:before {
  background: #de0078;
}
.timeline_detail-completed:after {
  background: #de0078;
}
.timeline_detail:last-child:before {
  content: none;
}
.timeline_detail:last-child:after {
  content: none;
}
.timeline_btn_history svg {
    background: #de0078;
    color: #fff;
    font-size: 5rem;
    max-width: 40px;
}
@media (max-width: 768px) {
  .timeline_event_icon {
    border-radius: 8px 0 0 8px;
    background: white;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-basis: 10%;
    font-size: 2rem;
    padding: 20px;
  }
  .timeline_event_icon img {
    max-width: 35px;
    position: absolute;
    top: 73%;
    font-size: 2.5rem;
    transform: translateY(-50%);
  }
  .timeline_event_icon svg {
    max-width: 35px;
    position: absolute;
    top: 50%;
    font-size: 2.5rem;
    transform: translateY(-50%);
  }
  .timeline_event_icon i {
    max-width: 35px;
    position: absolute;
    top: 50%;
    left: -74px;
    font-size: 2.5rem;
    transform: translateY(-50%);
  }
  .timeline_event_step {
    margin-top: -200%;
  }
  .timeline_event_detail {
    margin-right: 5px;
  }
  .timeline_event-stoped:before {
    background: #FFC4E8;
    border-color: #960050;
  }
  .timeline_event-stoped:after {
    background: #960050;
  }
  .timeline_event-stoped .timeline_event_step {
    color: #FF0080;
  }
  .timeline_event-stoped .timeline_event_title {
    color: #FFC4E8;
  }
  .timeline_event-started:before {
    background: #ffc4e8;
    border-color: #de0078;
  }
  .timeline_event-started:after {
    background: #de0078;
  }
  .timeline_event-started .timeline_event_step {
    color: white;
  }
  .timeline_event-started .timeline_event_title {
    color: #de0078;
  }
  .timeline_event-completed:before {
    background: #A0D8B3;
    border-color: #de0078;
  }
  .timeline_event-completed:after {
    background: #de0078;
  }
  .timeline_event-completed .timeline_event_step {
    color: #fff;
  }
  .timeline_event-completed .timeline_event_title {
    color: #de0078;
  }
}
@media (min-width: 768px) {
  .timeline_event:before {    content: "";
    width: 5rem;
    height: 5rem;
    position: absolute;
    border-radius: 100%;
    left: -6rem;
    top: 50%;
    transform: translateY(-50%);
    border: 2px solid #960050;
  }
  .timeline_event:after {
    content: "";
    width: 4px;
    height: 100%;
    position: absolute;
    top: 52%;
    left: -3.5rem;
    z-index: -1;
  }
  .timeline_event_icon {
    border-radius: 8px 0 0 8px;
    background: white;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-basis: 10%;
    font-size: 2rem;
    padding: 20px;
  }
  .timeline_event_icon img {
    max-width: 35px;
    position: absolute;
    top: 50%;
    left: -74px;
    font-size: 2.5rem;
    transform: translateY(-50%);
  }
  .timeline_event_icon svg {
    max-width: 35px;
    position: absolute;
    top: 25%;
    left: -74px;
    font-size: 2.5rem;
    transform: translateY(-50%);
  }
  .timeline_event_icon i {
    max-width: 35px;
    position: absolute;
    top: 50%;
    left: -74px;
    font-size: 2.5rem;
    transform: translateY(-50%);
  }
  .timeline_event-stoped:before {
    background: #FFC4E8;
    border-color: #960050;
  }
  .timeline_event-stoped:after {
    background: #960050;
  }
  .timeline_event-started:before {
    background: #de0078;
    border-color: #960050;
  }
  .timeline_event-started:after {
    background: #de0078;
  }
  .timeline_event-completed:before {
    background: #de0078;
    border-color: #960050;
  }
  .timeline_event-completed:after {
    background: #de0078;
  }
}
